$(CXX)=g++
CFLAGS=-Wall -g

.SECONDARY:
.SUFFIXES:

exercise_05_16: exercise_05_16.o 
	$(CXX) $? -o $@

%.o: %.s
	$(CXX) $(CFLAGS) -c $? -o $@

%.s: %.ii
	$(CXX) $(CFLAGS) -S $? -o $@

%.ii: %.cpp
	$(CXX) -E $< -o $@

test:
	@echo Running Test 
	@./exercise_05_16 > test.output || echo exercise_05_16 returned non-zero result
	@diff baseline.txt test.output > /dev/null 2>&1 && echo PASSED || echo FAILED

clean:
	rm  exercise_05_16 exercise_05_16.s exercise_05_16.ii exercise_05_16.o test.output
